.. AUTO-GENERATED FILE. DO NOT EDIT. one-modules-get-one =================== Source ------ - Repository: ``jef-systems/jef-one-backend`` - Source Run ID: ``25256246879`` - Source SHA: ``944e655286e0c87c6e611453ffc46df43159a83d`` - Module: ``one`` - Documentation Scope: ``get`` - Lambda: ``jef-one-get-11`` Endpoint -------- - API Name: ``jef-one`` - Action Name: ``get`` - Method: ``GET`` - Scope Label: ``GET`` - Resource Path: ``/one-modules-get-one`` - Complete Endpoint: ``https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-modules-get-one`` - Lambda ARN: ``arn:aws:lambda:ap-southeast-1:246715082475:function:jef-one-get-11`` - curl payload mode: ``query_string`` API Gateway Description ----------------------- .. code-block:: text Function: jef-one-get-11 API Name: jef-one Action: get Method: GET Resource Path: /one-modules-get-one Table: - table: jef-one-modules - operation: get-one Payload Schema: - pk: module_number Payload Example: - pk: 01 Response Schema: - exists: boolean - message: string - item: {"module_number":"string","name":"string","is_active":"boolean","created_at":"string","updated_at":"string"} Request Payload --------------- .. code-block:: json { "pk": "module_number" } Response -------- .. code-block:: json { "exists": "boolean", "message": "string", "item": "{\"module_number\":\"string\",\"name\":\"string\",\"is_active\":\"boolean\",\"created_at\":\"string\",\"updated_at\":\"string\"}" } CMD curl -------- .. code-block:: text curl "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-modules-get-one?pk=01" PowerShell curl --------------- .. code-block:: text curl.exe "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-modules-get-one?pk=01"